MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007015ardourbugspublic2016-09-09 12:572017-03-02 16:44
Reporterlpirl 
Assigned Totimbyr 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSDebianOS Versionunstable
Product Version5.3 
Target VersionFixed in Version5.X git (version in description) 
Summary0007015: crash when unselecting while region trimming
DescriptionArdour crashes when unselecting regions (using the keyboard) while trimming one or more regions (using the mouse).
Steps To Reproduce1. mouse-grab a region boundary an move it
2. keep holding mouse button down
   (so still in the process of trimming)
3. hit ESC
4. observe Ardour disappearing instantly
Additional InformationIMHO, this is a common interaction in order to cancel the trimming right away instead of actually doing an unwanted trimming and undoing it afterwards.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0018583)
tartina (reporter)
2016-09-09 13:38

This seems related to #6602
(0018596)
timbyr (developer)
2016-09-11 04:54

I can confirm this issue exists in official 5.3 version(linux 32bit)
(0018597)
timbyr (developer)
2016-09-11 06:02

A fix for this issue has been committed to master branch as commit fc0114a7 and will be included in a nightly build >= 5.3.61

Please test and confirm if you can. Thanks.
(0018619)
lpirl (reporter)
2016-09-13 03:33
edited on: 2016-09-13 03:35

The crash is fixed – thanks a lot timbyr!

Personally, I'd expect that ESC additionally cancels my action
(i.e., the trim is aborted without doing anything and the region bound just jumps back to where it was), but that is a matter of taste.

If you find that "canceling the trim" is inappropriate from a UX point of view or not w/i the scope of this ticket, feel free to mark it as resolved

(0018621)
timbyr (developer)
2016-09-13 04:27

It should now abort the trim and put the region start/end back to where it was.

What behaviour are you seeing?
(0018623)
lpirl (reporter)
2016-09-13 04:42

With Ardour_64bit-5.3.70-gcc5, I observed that upon pressing ESC while mouse-trimminga region, the region gets deselected but "the trim continues" (i.e. I can still hold on to the region boundary and move it around).
(0019456)
timbyr (developer)
2017-03-02 16:44

I just tested this again with 5.8 and it still seems to work correctly. I can't reproduce the other issue mentioned in 18623, so I'm marking this issue as resolved.

- Issue History
Date Modified Username Field Change
2016-09-09 12:57 lpirl New Issue
2016-09-09 13:38 tartina Note Added: 0018583
2016-09-11 04:54 timbyr Note Added: 0018596
2016-09-11 04:54 timbyr Assigned To => timbyr
2016-09-11 04:54 timbyr Status new => confirmed
2016-09-11 04:54 timbyr Assigned To timbyr =>
2016-09-11 06:02 timbyr Note Added: 0018597
2016-09-13 03:33 lpirl Note Added: 0018619
2016-09-13 03:35 lpirl Note Edited: 0018619 View Revisions
2016-09-13 04:27 timbyr Note Added: 0018621
2016-09-13 04:42 lpirl Note Added: 0018623
2017-03-02 16:44 timbyr Note Added: 0019456
2017-03-02 16:44 timbyr Status confirmed => resolved
2017-03-02 16:44 timbyr Fixed in Version => 5.X git (version in description)
2017-03-02 16:44 timbyr Resolution open => fixed
2017-03-02 16:44 timbyr Assigned To => timbyr


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker